#menu {
	height: 100%;
	width: 100%;
	overflow: hidden;
	position: relative;
	
	.inputprompt {
		content: "Search...";
		position: absolute;
		font-style: italic;
		top: 22px;
		left: 0;
		padding-left: 20px;
		@include border-box;
		color: #ccc;
		width: 100%;
		line-height: 1;
		
		z-index: 10;
		
		&:after {
			position: absolute;
			right: 18px;
			top: -3px;
			font-family: community;
			content: "\e001";
			font-size: 26px;
			font-style: normal;
			color: #666;
		}
	}
	
	&.searching .inputprompt {
		visibility: hidden;
	}
	
	#searchbox {
		font-size: 18px;
		width: 100%;
		height: 20px;
		padding: 18px 21px;
		outline: none;
		top: 0;
		position: relative;
		
		border: none;
		border-top: 2px solid #d9d9d9;
		border-bottom: 2px solid #d9d9d9;
		background-color: transparent;
		
		@include appearance(none);
		
		z-index: 11;
		border-radius: 0;
	}
	
	.clearsearch {
		cursor: pointer;
		position: absolute;
		z-index: 12;
		right: 20px;
		top: 19px;
		visibility: hidden;
		
		&:before {
			color: #666;
			content: "\00D7";
			font-weight: 100;
			font-size: 30px;
			line-height: 17px;
		}
	}
	
	&.searching .clearsearch {
		visibility: visible;
	}
	
	#listing,
	#searchresults {
		position: absolute;
		@include border-box;
		top: 0;
		border-top: 60px solid transparent;
		@include transform(translateZ(0));
		
		-webkit-transition: -webkit-transform 500ms;
		-moz-transition: -moz-transform 500ms;
		-ms-transition: -ms-transform 500ms;
		transition: transform 500ms;
	}
	
	#searchresults {
		left: 100%;
	}
	
	&.searching {
		
		#listing,
		#searchresults {
			@include transform(translateX(-100%));
		}
	}
	
	
	
	
}

.v-ie8 {
	
	#searchresults {
		left: 0 !important;
		visibility: hidden;
	}
	
	#menu.searching {
		#listing {
			visibility: hidden;
		}
		
		.toplevelcategory-header {
			visibility: hidden !important;
		}
		
		#searchresults {
			visibility: visible;
		}
	}
}
